
package TreeSnatcher.GUI;

import java.awt.BorderLayout;
import java.awt.Color;
import java.awt.Dimension;
import java.awt.FlowLayout;
import java.awt.Font;
import java.awt.Image;
import java.awt.Toolkit;
import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;
import java.io.IOException;
import java.net.MalformedURLException;
import java.net.URL;

import javax.swing.JButton;
import javax.swing.JDialog;
import javax.swing.JEditorPane;
import javax.swing.JFrame;
import javax.swing.JLabel;
import javax.swing.JPanel;
import javax.swing.JScrollPane;
import javax.swing.event.HyperlinkEvent;
import javax.swing.event.HyperlinkListener;
import javax.swing.filechooser.FileSystemView;


public class LinksPanel extends JFrame implements HyperlinkListener
{
	private static final long serialVersionUID = 1L;
	protected JEditorPane htmlPane = new JEditorPane();
	private URL linksURL;
	
	public LinksPanel() 
	{
		try 
		{
			linksURL = URL.class.getResource("/tutorialLinks.html");
			htmlPane.setPage(linksURL);
		} 
		catch (MalformedURLException e) {}
		catch (IOException e) {}
		
		Toolkit toolkit = Toolkit.getDefaultToolkit();
		
		htmlPane.setEditable(false);
		htmlPane.setPreferredSize(new Dimension(1000, 800));
		htmlPane.addHyperlinkListener(this);

		JScrollPane scrollPane = new JScrollPane(htmlPane);
		scrollPane.getVerticalScrollBar().setUnitIncrement(4);
		this.add(scrollPane, BorderLayout.CENTER);
		this.pack();
		this.setVisible(true);
		this.setIconImage(toolkit.getImage(Image.class.getResource("/Icons/wood32.png")));
		this.setAlwaysOnTop(true);
	}

	public void hyperlinkUpdate(HyperlinkEvent e) 
	{      	
		if (e.getEventType() == HyperlinkEvent.EventType.ACTIVATED) 
		{
		      try 
		      {
		    	  Runtime.getRuntime().exec("rundll32 url.dll,FileProtocolHandler " + e.getURL().toString());
		      }
		      catch(IOException ioe) {}
		}

	}
}
