package TreeSnatcher.Core;

import java.awt.Point;

public class Tip extends TreeNode
{
	private static final long serialVersionUID = 1L;
	private String taxonName = "";
	public static int nameCnt;
	
	public Tip(Point p) 
	{
		super(p);
		taxonName = new Integer(nameCnt++).toString();
	}
	
	public Tip(int x, int y)
	{
		super(x, y);
		taxonName = new Integer(nameCnt++).toString();
	}
	
	public Tip(Point p, boolean b)
	{
		super(p, b);
		taxonName = new Integer(nameCnt++).toString();
	}
	
	public Tip(int x, int y, boolean b)
	{
		super(x, y, b);
		taxonName = new Integer(nameCnt++).toString();
	}
	
	public void setTaxonName(String name) { this.taxonName = name; };
	public static void resetNameCount() { nameCnt = 1; };
	
	public String getTaxonName()
	{ 
		if (this.taxonName == "") return null; 
		else return this.taxonName; 
	}
}
