package TreeSnatcher.Utils;

// Class ImageSaver
// Stores a BufferedImage

import javax.swing.*;
import java.awt.image.*;
import java.io.*;
import javax.imageio.*;

import TreeSnatcher.GUI.Wizard;

class ImageSaver
{
	public ImageSaver(BufferedImage image, File output) 
	{	
		try
		{
			ImageIO.write(image, "PNG", output);
			Wizard.undoHistoryEmptyAfterLastSave = true;
		}
		catch (Exception e)
		{
			JOptionPane.showMessageDialog(null, "An error occurred while writing the image file.\nError: "+e.getMessage());
		}
		finally {}
	}
}